function E0090()
    MNA()CMU("CS_Vivi")FAI(0)
end
function E0091()
    MNA()CMU("CS_Vivi")FAI(1)
end
function E0092()
    MNA()CMU("CS_Vivi")FAI(2)
end
function E0093()
    MNA()CMU("CS_Vivi")FAI(3)
end
function E0094()
    MNA()CMU("CS_Vivi")FAI(4)
end

function GoSoapCastleWaterFall()
    PRI()FAO(1)TRA("CS_soapcastle_waterfall","E0093",3,17,0,90)
end

function GoSoapCastleFountain()
    PRI()FAO(0)TRA("CS_soapcastle_fountain","E0090",19,6,0,46)
end

function GoSoapCastleGolemStatue()
    PRI()FAO(3)TRA("CS_soapcastle_golemstatue","E0091",76,17,0,2)
end

function GoSoapCastleKingBedroom()
    if(FLJ("DefeatedSoapKing")) then
        PRI()FAO(0)TRA("CS_soapcastle_kingbedroom","E0092",32,16,0,46)
    else
        PRI()
        MS4("\nYou hear snoring coming from behind the door...")NOD()CLR()
        FAC("jack_normal")CAT("I don't know how many monsters") 
        CAT("\nare in this place,")NOD()
        CAT("\nbut to avoid fighting, we'd better")
        CAT("\nnot disturb them.")NOD()
    end
end

function StarfishStatue()
    PRI()
    MS4("\nA starfish statue")NOD()
end

function ShrimpStatue()
    PRI()
    MS4("\nA shrimp statue")NOD()
end

function CrabStatue()
    PRI()
    MS4("\nA crab statue")NOD()
end

function OctopusStatue()
    PRI()
    MS4("\nAn octopus statue")NOD()
end

function SlimeStatue()
    PRI()
    MS4("\nA slime statue")NOD()
end

function SandDragonStatue()
    PRI()
    MS4("\nA sand dragon statue")NOD()
end

